xine-lib: xine_ring_buffer_s Struct Reference

xine-lib 1.2.12

Data Fields
xine_ring_buffer_s Struct Reference

## Data Fields
uint8_t * | head
uint8_t * | head_alloc
uint8_t * | tail
uint8_t * | tail_release
uint8_t * | buffer
size_t | buffer_size
uint8_t * | buffer_end
size_t | free_size
size_t | full_size
pthread_cond_t | free_size_cond
pthread_cond_t | full_size_cond
int | free_size_needed
int | full_size_needed
xine_pool_t * | chunk_pool
xine_list_t * | alloc_list
xine_list_t * | get_list
uint8_t * | extra_buffer
size_t | extra_buffer_size
pthread_mutex_t | lock
int | EOS

## Field Documentation

## ◆ alloc_list

xine_list_t* xine_ring_buffer_s::alloc_list

Referenced by xine_ring_buffer_alloc(), xine_ring_buffer_delete(), xine_ring_buffer_new(), and xine_ring_buffer_put().

## ◆ buffer

uint8_t* xine_ring_buffer_s::buffer

Referenced by xine_ring_buffer_alloc(), xine_ring_buffer_delete(), xine_ring_buffer_display_stat(), xine_ring_buffer_get(), xine_ring_buffer_new(), xine_ring_buffer_put(), and xine_ring_buffer_release().

## ◆ buffer_end

uint8_t* xine_ring_buffer_s::buffer_end

Referenced by xine_ring_buffer_alloc(), xine_ring_buffer_display_stat(), xine_ring_buffer_get(), xine_ring_buffer_new(), xine_ring_buffer_put(), and xine_ring_buffer_release().

## ◆ buffer_size

size_t xine_ring_buffer_s::buffer_size

Referenced by xine_ring_buffer_alloc(), xine_ring_buffer_new(), and xine_ring_buffer_release().

## ◆ chunk_pool

xine_pool_t* xine_ring_buffer_s::chunk_pool

Referenced by xine_ring_buffer_alloc(), xine_ring_buffer_delete(), xine_ring_buffer_get(), xine_ring_buffer_new(), xine_ring_buffer_put(), and xine_ring_buffer_release().

## ◆ EOS

int xine_ring_buffer_s::EOS

Referenced by xine_ring_buffer_close(), xine_ring_buffer_get(), and xine_ring_buffer_new().

## ◆ extra_buffer

uint8_t* xine_ring_buffer_s::extra_buffer

Referenced by xine_ring_buffer_get(), and xine_ring_buffer_new().

## ◆ extra_buffer_size

size_t xine_ring_buffer_s::extra_buffer_size

Referenced by xine_ring_buffer_get(), and xine_ring_buffer_new().

## ◆ free_size

size_t xine_ring_buffer_s::free_size

Referenced by xine_ring_buffer_alloc(), xine_ring_buffer_display_stat(), xine_ring_buffer_new(), and xine_ring_buffer_release().

## ◆ free_size_cond

pthread_cond_t xine_ring_buffer_s::free_size_cond

Referenced by xine_ring_buffer_alloc(), xine_ring_buffer_new(), and xine_ring_buffer_release().

## ◆ free_size_needed

int xine_ring_buffer_s::free_size_needed

Referenced by xine_ring_buffer_alloc(), xine_ring_buffer_new(), and xine_ring_buffer_release().

## ◆ full_size

size_t xine_ring_buffer_s::full_size

Referenced by xine_ring_buffer_display_stat(), xine_ring_buffer_get(), xine_ring_buffer_new(), and xine_ring_buffer_put().

## ◆ full_size_cond

pthread_cond_t xine_ring_buffer_s::full_size_cond

Referenced by xine_ring_buffer_close(), xine_ring_buffer_get(), xine_ring_buffer_new(), and xine_ring_buffer_put().

## ◆ full_size_needed

int xine_ring_buffer_s::full_size_needed

Referenced by xine_ring_buffer_close(), xine_ring_buffer_get(), xine_ring_buffer_new(), and xine_ring_buffer_put().

## ◆ get_list

xine_list_t* xine_ring_buffer_s::get_list

Referenced by xine_ring_buffer_delete(), xine_ring_buffer_get(), xine_ring_buffer_new(), and xine_ring_buffer_release().

## ◆ head

uint8_t* xine_ring_buffer_s::head

Referenced by xine_ring_buffer_display_stat(), xine_ring_buffer_new(), and xine_ring_buffer_put().

## ◆ head_alloc

uint8_t* xine_ring_buffer_s::head_alloc

Referenced by xine_ring_buffer_alloc(), xine_ring_buffer_display_stat(), and xine_ring_buffer_new().

## ◆ lock

pthread_mutex_t xine_ring_buffer_s::lock

Referenced by xine_ring_buffer_alloc(), xine_ring_buffer_close(), xine_ring_buffer_delete(), xine_ring_buffer_get(), xine_ring_buffer_new(), xine_ring_buffer_put(), and xine_ring_buffer_release().

## ◆ tail

uint8_t* xine_ring_buffer_s::tail

Referenced by xine_ring_buffer_display_stat(), xine_ring_buffer_get(), and xine_ring_buffer_new().

## ◆ tail_release

uint8_t* xine_ring_buffer_s::tail_release

Referenced by xine_ring_buffer_display_stat(), xine_ring_buffer_new(), and xine_ring_buffer_release().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/xine-utils/ring_buffer.c